%define version 2.5.2
%define release 1mdk

%define src_ver 2.5.2-pre2

Summary: An X Input Method Server for Chinese
Name: xcin
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source0: xcin-%{src_ver}.tar.bz2
Source1: xcin.wm
Source2: xcin.xpm
Source3: xcin.wrap
Source4: xcin.desktop
Source5: xcin.kdelnk
Source6: liu55.cin
Source7: liu55gb.cin
Source8: phonegb2.cin
Patch0: xcin-2.5.2-xcinrc.patch
Patch1: xcin-2.5.2-pre2.diff2.gz
Patch2: OverTheSpot-enable.patch
#Icon: xcin-logo.xpm
#Packager: Andrew Lee <andrew@cle.linux.org.tw>
Buildroot: /var/tmp/xcin-root
PreReq: libtabe
Requires: locales-zh
BuildRequires: libtabe-devel

%description
Xcin is an X Input Method allowing to type in chinese in X applications
that follow the XIM input method standard.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n xcin-2.5
%patch0 -p1 -b .xcinrc
%patch1 -p2 -b .xcin
#%patch2 -p1 -b .enable
cp -a %{SOURCE6} cin/zh_TW.Big5
cp -a %{SOURCE7} cin/zh_CN.GB2312
cp -a %{SOURCE8} cin/zh_CN.GB2312
#mv gui_overspot.c src

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6 --with-xcin-dir=/usr/X11R6/lib/X11/xcin \
	--with-xcin-rcdir=/etc/chinese/xcin
make

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/etc/chinese/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man
#export xcin_binp=$RPM_BUILD_ROOT/usr/X11R6/bin
#export xcin_libp=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin
#export xcin_datap=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab
#export xcin_manp=$RPM_BUILD_ROOT/usr/X11R6/man
# export INSTALL_PROGRAM="/usr/bin/install -c"

export program_prefix=$RPM_BUILD_ROOT
export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
make -e install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese/
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Chinese/

install -m 644 $RPM_SOURCE_DIR/xcin.xpm \
		$RPM_BUILD_ROOT/usr/share/icons/xcin2.5.xpm
install -m 644 $RPM_SOURCE_DIR/xcin.wm $RPM_BUILD_ROOT/etc/X11/wmconfig/xcin
install -m 644 %SOURCE4 \
		$RPM_BUILD_ROOT/usr/share/gnome/apps/Chinese/xcin.desktop
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/usr/share/applnk/Chinese/xcin.kdelnk

# The GuoBiao locale is not very well defined; make some symlinks
ln -s zh_CN.GB2312 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/zh_CN.gb2312
ln -s zh_CN.GB2312 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/zh_CN

# compatibility symlink to remove in the future
ln -s xcin $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin2.5

%files
%defattr(-,root,root)
%doc doc/* 
%config /etc/chinese/xcin
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xcin
# compatibility symlink
/usr/X11R6/lib/X11/xcin2.5
/etc/X11/wmconfig/xcin
/usr/share/gnome/apps/Chinese/xcin.desktop
/usr/share/applnk/Chinese/xcin.kdelnk
/usr/share/icons/xcin2.5.xpm

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 02 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.5.2-1mdk
- Updated to 2.5.2
- New Group: naming

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.5.1-7mdk
- BuildPreq libtabe.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force (well in fact cp config.sub...)

* Tue Nov 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to mandrake
- changed config file and added symlinks to allow using of more flexible
  locale naming for zh_CN.GB2312, and smaller fonts.
- added requires: locales-zh for auto-selection at install time

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5

